<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.1">
  <compound kind="class">
    <name>Akregator::AboutData</name>
    <filename>classAkregator_1_1AboutData.html</filename>
  </compound>
  <compound kind="class">
    <name>Akregator::Filters::AbstractMatcher</name>
    <filename>classAkregator_1_1Filters_1_1AbstractMatcher.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual AbstractMatcher *</type>
      <name>clone</name>
      <anchorfile>classAkregator_1_1Filters_1_1AbstractMatcher.html</anchorfile>
      <anchor>a8240eb019c953dcda1597e48e9e07f60</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::ActionManager</name>
    <filename>classAkregator_1_1ActionManager.html</filename>
  </compound>
  <compound kind="class">
    <name>Akregator::ActionManagerImpl</name>
    <filename>classAkregator_1_1ActionManagerImpl.html</filename>
    <base>Akregator::ActionManager</base>
    <member kind="slot">
      <type>void</type>
      <name>slotUpdateTagActions</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>ac6ff0aa79668c2265ca66711da3fbbd1</anchor>
      <arglist>(bool enabled, const TQStringList &amp;tagIds)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Article</name>
    <filename>classAkregator_1_1Article.html</filename>
    <member kind="function">
      <type></type>
      <name>Article</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a519d24c7cefd48b03fb4f0fdb30db54f</anchor>
      <arglist>(const TQString &amp;guid, Feed *feed)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Article</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>ae33e743b0277500beefbe77fdbb4c580</anchor>
      <arglist>(RSS::Article article, Feed *feed)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>keep</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>af1cc3be7b5fb57fdf6dfe81ab14e7b05</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>hash</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a93b2e6acf7d5964fa0ee1290dd0a81f3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>guidIsHash</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a5acfd197fac16afd733daad5a9adb1f6</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Filters::ArticleFilter</name>
    <filename>classAkregator_1_1Filters_1_1ArticleFilter.html</filename>
    <member kind="function">
      <type>void</type>
      <name>applyTo</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>a43d32996ecbca435e2b9f152e585e0c5</anchor>
      <arglist>(Article &amp;article) const</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>name</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>a891c476848338223735cc2b03c178895</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::ArticleInterceptor</name>
    <filename>classAkregator_1_1ArticleInterceptor.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>processArticle</name>
      <anchorfile>classAkregator_1_1ArticleInterceptor.html</anchorfile>
      <anchor>a1699558b561a2ffa2e43fb2ab608024a</anchor>
      <arglist>(Article &amp;article)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::ArticleInterceptorManager</name>
    <filename>classAkregator_1_1ArticleInterceptorManager.html</filename>
  </compound>
  <compound kind="class">
    <name>Akregator::Filters::ArticleMatcher</name>
    <filename>classAkregator_1_1Filters_1_1ArticleMatcher.html</filename>
    <base>Akregator::Filters::AbstractMatcher</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>matchesAll</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleMatcher.html</anchorfile>
      <anchor>a815f8af91d8d4ca64117b35c102ea28a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ArticleMatcher *</type>
      <name>clone</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleMatcher.html</anchorfile>
      <anchor>a32711f49fc295fd7edb70b80270a5e72</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::ArticleViewer</name>
    <filename>classAkregator_1_1ArticleViewer.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotShowArticle</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a967a33bb28464b72aa17af69984e3ca0</anchor>
      <arglist>(const Article &amp;article)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotShowNode</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>ac9e6764936e8cbdc4d1b0bc7aa0d4b25</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetFilter</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>ac1dff1f4641a6b688aeed5ee96ed3381</anchor>
      <arglist>(const Akregator::Filters::ArticleMatcher &amp;textFilter, const Akregator::Filters::ArticleMatcher &amp;statusFilter)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotUpdateCombinedView</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a31cdf576ecda144b5eb52de83fd2d9b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotClear</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a19f55c9f9a27d122f9003adc35230c84</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ArticleViewer</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a421c99bf05fdbbdc2fbbcde703ecb07e</anchor>
      <arglist>(TQWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reload</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a5a20e254af6b0b9ccedfe10be1108d80</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>renderContent</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a912f346ceb80790fcddee27faeb51c3f</anchor>
      <arglist>(const TQString &amp;body)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>formatArticleNormalMode</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a744dc143256aa08d64cb104679aa0784</anchor>
      <arglist>(Feed *feed, const Article &amp;article)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>formatArticleCombinedMode</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>abe205acf8a4c83a6e3ba68e85778bde5</anchor>
      <arglist>(Feed *feed, const Article &amp;article)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>beginWriting</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a8a80a4f0f5c0f88893dd1d9142dc77b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>endWriting</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>ab2f2b641b3fbc10866a2d7a9db232462</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>generateNormalModeCSS</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a301b2df69e71470ea2fbd9c6eabae30f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>generateCombinedModeCSS</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a87575fa0f6125b721296c6a64ae8c8c7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Backend::Category</name>
    <filename>classAkregator_1_1Backend_1_1Category.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classAkregator_1_1Backend_1_1Category.html</anchorfile>
      <anchor>a6b84581aeb3c1de0451bdc2fd82502fd</anchor>
      <arglist>(const Category &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchorfile>classAkregator_1_1Backend_1_1Category.html</anchorfile>
      <anchor>ab5a84e57b60adc67508e6e736224a68d</anchor>
      <arglist>(const Category &amp;other) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Filters::Criterion</name>
    <filename>classAkregator_1_1Filters_1_1Criterion.html</filename>
  </compound>
  <compound kind="class">
    <name>Akregator::Feed</name>
    <filename>classAkregator_1_1Feed.html</filename>
    <base>Akregator::TreeNode</base>
    <member kind="enumeration">
      <type></type>
      <name>ArchiveMode</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a1e2084c9a8fc27085c3e222cc4eae266</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>fetch</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>acdbc92bb133c4b89e452c8761a523a60</anchor>
      <arglist>(bool followDiscovery=false)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDeleteExpiredArticles</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>acd929f8dbc98ab96d713b327028b8ab7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotMarkAllArticlesAsRead</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>acfe353c7f7253b44f6b4ea2207088b12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotAddToFetchQueue</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a7110feeddf0ef0794fcee721081552b1</anchor>
      <arglist>(FetchQueue *queue, bool intervalFetchOnly=false)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fetchStarted</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a4ed986878d3279618a667da203214443</anchor>
      <arglist>(Feed *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fetched</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ac60516c4fc551fa97aa8402b9adf876c</anchor>
      <arglist>(Feed *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fetchError</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a1c3ccb13bb37629d85da21428cd04d6f</anchor>
      <arglist>(Feed *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fetchDiscovery</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a4ed9bdfe72f6ced696cb7c5c9e3bd09f</anchor>
      <arglist>(Feed *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fetchAborted</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>abc47ad5682065f55da4487af9130040b</anchor>
      <arglist>(Feed *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Feed</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a84851953810b8330701abfd7015e8ff4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQDomElement</type>
      <name>toOPML</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>aa3c2d24a0898be64c6c1a5448af1aec1</anchor>
      <arglist>(TQDomElement parent, TQDomDocument document) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useCustomFetchInterval</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>aa295624a0d11aedd717bd46f1acc1ba0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCustomFetchIntervalEnabled</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>aef61d122226d17d6538e3ed6971378a0</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>fetchInterval</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a40b7d746b5799557ebe15d1dc429958a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFetchInterval</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ab4dad6b5558a5ee85e46df05eeb39b9d</anchor>
      <arglist>(int interval)</arglist>
    </member>
    <member kind="function">
      <type>ArchiveMode</type>
      <name>archiveMode</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ac8bc2d6ad83a8a20465c9b9673ced415</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setArchiveMode</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a15bc4f9a4116e30027520da3ec5b8e79</anchor>
      <arglist>(ArchiveMode archiveMode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxArticleAge</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a7d1c15b19558ee3704184ee4684194d0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxArticleAge</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a58b948b3c46a5ed82568d4ca03d0c99f</anchor>
      <arglist>(int maxArticleAge)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxArticleNumber</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>aa7fb11ae59b02ad06588c590024d2834</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxArticleNumber</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a72cd66e5c6733c5537c47b86049e4690</anchor>
      <arglist>(int maxArticleNumber)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>markImmediatelyAsRead</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a201e8d76ed8970d73bd07a3779a3e7cf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLoadLinkedWebsite</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a4844240fc1c798499400d8320345511f</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>const TQPixmap &amp;</type>
      <name>favicon</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a3735dff979965c6e39661c5bf847c5d5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFavicon</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ae03f02bea612cff2d23b65031d624447</anchor>
      <arglist>(const TQPixmap &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>const TQPixmap &amp;</type>
      <name>image</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a8066082341d5cd4e3b7ad48353fcf339</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>xmlUrl</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a9780e38ddcde55adfaf94d4273be041c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setXmlUrl</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a98bf505cd16e23dfc0ca6b086373f62c</anchor>
      <arglist>(const TQString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>htmlUrl</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ad788b988e766887c6c660eb9f1e03371</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHtmlUrl</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ae5d12947c7ca0cbf5c2be50dd40c24f0</anchor>
      <arglist>(const TQString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>description</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a5e41f15f959b644cdf0ba302d9d0e1c4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDescription</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a299dcdce0723abce6e765f1723df7dec</anchor>
      <arglist>(const TQString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQValueList&lt; Article &gt;</type>
      <name>articles</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a1c1950324b1a822c3d008615d38bd19a</anchor>
      <arglist>(const TQString &amp;tag=TQString())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Article</type>
      <name>findArticle</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ae7d5509bbc04b20d19fb12f4db79a477</anchor>
      <arglist>(const TQString &amp;guid) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>tags</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ab13d47d70f3f0ab7d5f2833c3c01c8d6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fetchErrorOccurred</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a315c76238ba84be515939fe8018e45a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>unread</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a017a66152be2d2131582c748d3e0d3a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>totalCount</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a43a105497b3db7ba1f83f2369c02a090</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isArticlesLoaded</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a80a9b1683a7d301dab8869bba3fc01d7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isGroup</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>abf58ce763833216d65e54d7df2122898</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TreeNode *</type>
      <name>next</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a35657fc80aa2d8f3813ab50d413148fb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadFavicon</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a3606fdc4983e50c5a801a348593dc73e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadImage</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a0d6ea71ddef097e05190bee88eca0038</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ArchiveMode</type>
      <name>stringToArchiveMode</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ad67cf281d9d5f6bbba5a3778aa66f59f</anchor>
      <arglist>(const TQString &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>archiveModeToString</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a78c1f2603dab918922a018750e3059f2</anchor>
      <arglist>(ArchiveMode mode)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Feed *</type>
      <name>fromOPML</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a8515969ae38e69a1e7616bdb7377ea07</anchor>
      <arglist>(TQDomElement e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadArticles</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a3ce4853cecbc9ec8cffc8975c45d8966</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>doArticleNotification</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a66449ace3fe53c225430ed8be93113d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setUnread</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>aa1a1749a24adef281d8b58603085e869</anchor>
      <arglist>(int unread)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::FeedItem</name>
    <filename>classAkregator_1_1FeedItem.html</filename>
    <base>Akregator::TreeNodeItem</base>
  </compound>
  <compound kind="class">
    <name>Akregator::FeedList</name>
    <filename>classAkregator_1_1FeedList.html</filename>
    <member kind="function">
      <type></type>
      <name>~FeedList</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>abe93a6038561d5d1ff0c419691b6f046</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>abb859a2c58a78ef7a498c87dba354cd3</anchor>
      <arglist>(FeedList *list, Folder *parent=0, TreeNode *after=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>readFromXML</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>a272b7adc66c10147879d0ca1412751c0</anchor>
      <arglist>(const TQDomDocument &amp;doc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQDomDocument</type>
      <name>toXML</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>a0eb89f3798980b7665015d3d8478434d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Feed *</type>
      <name>findByURL</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>a7fce02923785788b05dbb18cbc94e9b6</anchor>
      <arglist>(const TQString &amp;feedURL) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Folder</name>
    <filename>classAkregator_1_1Folder.html</filename>
    <base>Akregator::TreeNode</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDeleteExpiredArticles</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a2976171985835804e1fec51f70d1fce9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotMarkAllArticlesAsRead</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a39a47bea1608c48fdcb124d650c26f35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotChildChanged</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>ad6e2f61c6918d9ad1105bc5485cfa7d3</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotChildDestroyed</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>afc933ffe2f6ba8193ea65eccfa1a4327</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotAddToFetchQueue</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a9249f3a87241aa38b7f4e822fb603720</anchor>
      <arglist>(FetchQueue *queue, bool intervalFetchesOnly=false)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual TreeNode *</type>
      <name>next</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a32f7c5053c96f3dc854642a2bf7e50e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalChildAdded</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>af89ed9909feecaf00766623fe61cd1d3</anchor>
      <arglist>(TreeNode *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalChildRemoved</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a7dd12d54570a0573f2f10014e518f255</anchor>
      <arglist>(Folder *, TreeNode *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Folder</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a0de62f99d5e1e8b2654180a88280d61c</anchor>
      <arglist>(const TQString &amp;title=TQString())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQValueList&lt; Article &gt;</type>
      <name>articles</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a164e1b6ab0e8c854b13174fde1780da1</anchor>
      <arglist>(const TQString &amp;tag=TQString())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>tags</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>af6c64899e861a33d1ffe3da08c9f2c7b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>unread</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a862eeea60dda3629790b9077bcfc0a03</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>totalCount</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>ae2add8bb0daec7c4c387f6272de73e08</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isGroup</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>ab7eff6e917e16c992d5e10bbfdd2f179</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQDomElement</type>
      <name>toOPML</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>ad40fc7d73bd7dc6e7bdaa5f4ec7c1d9b</anchor>
      <arglist>(TQDomElement parent, TQDomDocument document) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQValueList&lt; TreeNode * &gt;</type>
      <name>children</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a43e0fceeaaaeecb180f7ab07b5e3d63b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insertChild</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a24e0997c19feed2e4581e7b226fbbed5</anchor>
      <arglist>(TreeNode *node, TreeNode *after)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>prependChild</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a2e132b5ca9863947801bfb0fd301fa23</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>appendChild</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>acb5dc675084a9afc5aacd23b7a625eed</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>removeChild</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a71dac3a74e4f4b5a144d493ca92fcbd8</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TreeNode *</type>
      <name>firstChild</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a4b9b86971079f4f54b549d2b11a7cd55</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TreeNode *</type>
      <name>lastChild</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>ad5d6ab225c3d74c1914c66517d0202a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isOpen</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a0fa636f96efc8e3c42c9f744ff8527cb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOpen</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>ae2e1f62bef4974ac0a5db1a4c8ce0973</anchor>
      <arglist>(bool open)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Folder *</type>
      <name>fromOPML</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a077d6bc7c85651d66f3ef7f7d95c95ee</anchor>
      <arglist>(TQDomElement e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>insertChild</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a50d640a87e7bb87f4a53018ed033561e</anchor>
      <arglist>(uint index, TreeNode *node)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>doArticleNotification</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a2087b0e88448d1802c45d4e0fee04d0d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::KCursorSaver</name>
    <filename>classAkregator_1_1KCursorSaver.html</filename>
    <member kind="function">
      <type></type>
      <name>KCursorSaver</name>
      <anchorfile>classAkregator_1_1KCursorSaver.html</anchorfile>
      <anchor>a4194f742967ace62c4c64b63e50b992e</anchor>
      <arglist>(TQt::CursorShape shape)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCursorSaver</name>
      <anchorfile>classAkregator_1_1KCursorSaver.html</anchorfile>
      <anchor>a55ed257142151919fe6052d88697314e</anchor>
      <arglist>(const KCursorSaver &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCursorSaver</name>
      <anchorfile>classAkregator_1_1KCursorSaver.html</anchorfile>
      <anchor>a1338ae4b0ea894f24a0a46abd1d39a43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreCursor</name>
      <anchorfile>classAkregator_1_1KCursorSaver.html</anchorfile>
      <anchor>a970751900d8e259cd52e0043550ac781</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::ListTabWidget</name>
    <filename>classAkregator_1_1ListTabWidget.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotItemUp</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a289339c67e0e7a4858b176614267ae29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotItemDown</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a653bf68fcc246b08d87fbbc42371e739</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotItemBegin</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a67ee5f0e6fc1b680401cba3aebb2a0be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotItemEnd</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>ad58bdbe51973eb7c1922120a1a486cba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotItemLeft</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a3747e7a20c506f83a4d19733e761048d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotItemRight</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a88504eab50f22c0925ddc2a4e2475980</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::MainWindow</name>
    <filename>classAkregator_1_1MainWindow.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setupProgressWidgets</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>ad87be9473fdd7439506b9f2e7b6316da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadPart</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>a99ab3741c0dda7c81cdfc203e0526863</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveProperties</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>a1472db48596634303d7312430979970e</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readProperties</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>a3cda0466b7a3b39d3a3a87183c099790</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryExit</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>ad4977adf00a9fac1868af47541aa71e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>a2174671084a3dccbf624cff09e25fec3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::NotificationManager</name>
    <filename>classAkregator_1_1NotificationManager.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotNotifyArticle</name>
      <anchorfile>classAkregator_1_1NotificationManager.html</anchorfile>
      <anchor>a9a98652fc36c51db3697de12efe54728</anchor>
      <arglist>(const Article &amp;article)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNotifyFeeds</name>
      <anchorfile>classAkregator_1_1NotificationManager.html</anchorfile>
      <anchor>a0545fecf844424ba739ba32bb168204c</anchor>
      <arglist>(const TQStringList &amp;feeds)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWidget</name>
      <anchorfile>classAkregator_1_1NotificationManager.html</anchorfile>
      <anchor>a6091de8c441890441a0c454e0b3197a5</anchor>
      <arglist>(TQWidget *widget, TDEInstance *inst=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static NotificationManager *</type>
      <name>self</name>
      <anchorfile>classAkregator_1_1NotificationManager.html</anchorfile>
      <anchor>ace0606a2f69a9c64eca15707a706241c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Part</name>
    <filename>classAkregator_1_1Part.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>aeb07f8478cba4a18a921594548616c61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSaveFeedList</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a3f9a8b27fc285314474e499e0756fe5d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showOptions</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>af20b9c0c9bea013612130769eedf06d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Part</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a6c8d25c47afa875fae52a75b30a87fd7</anchor>
      <arglist>(TQWidget *parentWidget, const char *widgetName, TQObject *parent, const char *name, const TQStringList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Part</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>ab3ca60608631ee479132ed2413c19c3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>openURL</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a43a1641a42836ccb31bb92dbd0692fc6</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>openStandardFeedList</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a923a4d42cca7cd990d48979df6978dc5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fetchAllFeeds</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a2b02987a8ddd628acf27c86ce5cd94ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addFeedsToGroup</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>aafa63bf162c6cb7139de6406f69c1094</anchor>
      <arglist>(const TQStringList &amp;urls, const TQString &amp;group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>ae3ee4a85781e06e3410286a470336d93</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a35c78a44cd899d0b77a7445436006337</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>mergePart</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a28339e454f049229ae862f9b62f77b4b</anchor>
      <arglist>(KParts::Part *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TDEAboutData *</type>
      <name>createAboutData</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a204dfbab58659b5c73f6284475ef39ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>isTrayIconEnabled</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a168741148d05420a4c9c54ee4c268d8e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadPlugins</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a94633a3f2fa84af900d04ad2315da38d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>openFile</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a0512cca60c2994722f5f230b158a9b9c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQWidget *</type>
      <name>getMainWindow</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a09ee150ae9901f3459e4dc1aa4cd9aa2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>partActivateEvent</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a13411f82fda0c59de3a9fc608ec747b6</anchor>
      <arglist>(KParts::PartActivateEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::ProgressItemHandler</name>
    <filename>classAkregator_1_1ProgressItemHandler.html</filename>
  </compound>
  <compound kind="class">
    <name>Akregator::ProgressManager</name>
    <filename>classAkregator_1_1ProgressManager.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setFeedList</name>
      <anchorfile>classAkregator_1_1ProgressManager.html</anchorfile>
      <anchor>a6e5c93c795c06a847d0cb41e8e06612a</anchor>
      <arglist>(FeedList *feedList)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::SelectNodeDialog</name>
    <filename>classAkregator_1_1SelectNodeDialog.html</filename>
  </compound>
  <compound kind="class">
    <name>Akregator::Backend::Storage</name>
    <filename>classAkregator_1_1Backend_1_1Storage.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>initialize</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>afab610993983b8ed8afa18a3f06f98e1</anchor>
      <arglist>(const TQStringList &amp;params)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>open</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a5a798c33904a577305cd775c85bb7712</anchor>
      <arglist>(bool autoCommit=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>commit</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a01f779d5cae6863cc2cce994ddb2a4e2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>rollback</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a9e441430894d7e51637ac9f64f5cc74a</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>close</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a9821421e17bfeb1fde445f38a5b6800c</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual FeedStorage *</type>
      <name>archiveFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a3d1aeba99df21dedc47a4261f9fc9042</anchor>
      <arglist>(const TQString &amp;url)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>storeFeedList</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a55a89949d6dfba075d251787c5e961bf</anchor>
      <arglist>(const TQString &amp;opmlStr)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>feeds</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>afe1c14dd130cd6b479ebd8ce9b58f4b8</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>add</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>afd3e9c3db5b3243663e82c9be0749ed8</anchor>
      <arglist>(Storage *source)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a385edea89211d499ee078378b6895a7e</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Backend::StorageDummyImpl</name>
    <filename>classAkregator_1_1Backend_1_1StorageDummyImpl.html</filename>
    <base>Akregator::Backend::Storage</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initialize</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a3282bcef30eb8d27300f334d75e5586c</anchor>
      <arglist>(const TQStringList &amp;params)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>open</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a423eb4df0c7f0eb825eb28aed1c0b11d</anchor>
      <arglist>(bool autoCommit=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>commit</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a21d4cca91d3eb6feaf9c17b8dada89c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>rollback</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a80bc825789a8adedc2829492fba5f2ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>close</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a66f014fa2340af7c3835a2e2d3c54382</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual FeedStorage *</type>
      <name>archiveFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a3e280f833dcc61e8ad83b5fb9ae08c71</anchor>
      <arglist>(const TQString &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>feeds</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a9aca89427d1542f11817f5cfda77241a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>storeFeedList</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a63ce0adf1cfb0a485191efe6a6cc6278</anchor>
      <arglist>(const TQString &amp;opmlStr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>add</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a8effc6fa3b17f1a6ae5476b6bfc9044c</anchor>
      <arglist>(Storage *source)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>ab29a746217330f49759659817e0046ce</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::TagAction</name>
    <filename>classAkregator_1_1TagAction.html</filename>
  </compound>
  <compound kind="class">
    <name>Akregator::TagSet</name>
    <filename>classAkregator_1_1TagSet.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>signalTagAdded</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>ab03bccc9aec13fe13000446f5903a4d7</anchor>
      <arglist>(const Tag &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalTagRemoved</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a520b0a93b4c4633b9e002eae8553607c</anchor>
      <arglist>(const Tag &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalTagUpdated</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a345dcaef193b5b37bd7d1fc911a2e75a</anchor>
      <arglist>(const Tag &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a68e58316da63cfe3e2a85426bc7735ca</anchor>
      <arglist>(const Tag &amp;tag)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a70e8624a303c1522474dd5999f98dbe7</anchor>
      <arglist>(const Tag &amp;tag)</arglist>
    </member>
    <member kind="function">
      <type>TQMap&lt; TQString, Tag &gt;</type>
      <name>toMap</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a8078a1aae032830e2bc5f3b1c47f3ed0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>contains</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a4f172dba02373a223bdc45a8ccf27069</anchor>
      <arglist>(const Tag &amp;tag) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>containsID</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a02aecca1ff095a813f42421e95abb51b</anchor>
      <arglist>(const TQString &amp;id) const</arglist>
    </member>
    <member kind="function">
      <type>Tag</type>
      <name>findByID</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>aaf690e2b5ea5ffeff2bc031bd7949a90</anchor>
      <arglist>(const TQString &amp;id) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readFromXML</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a99bf6b48f5de8e7f07eec519ffacbb9a</anchor>
      <arglist>(const TQDomDocument &amp;doc)</arglist>
    </member>
    <member kind="function">
      <type>TQDomDocument</type>
      <name>toXML</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a405bbdabff681c8a4a7ff609fabb2f05</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>tagUpdated</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a765b3b4a37b3018a0b841980ff0f89a6</anchor>
      <arglist>(const Tag &amp;tag)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::TreeNode</name>
    <filename>classAkregator_1_1TreeNode.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotDeleteExpiredArticles</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>ae3c46f81d6dcdc2f47a9f4176fbd291f</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotMarkAllArticlesAsRead</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a467dd6c0d121ea594315473ea1f7ec99</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotAddToFetchQueue</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a56c3cac354d4a543a87d5201571a33a8</anchor>
      <arglist>(FetchQueue *queue, bool intervalFetchesOnly=false)=0</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalDestroyed</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>afcef33edac2cf72ebd015ed3f0ad42a0</anchor>
      <arglist>(TreeNode *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalChanged</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a6afab8bafcf0eacf23d59b299ed8c222</anchor>
      <arglist>(TreeNode *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalArticlesAdded</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a1bc9a860d9840ff6c2e326fc3bb969c4</anchor>
      <arglist>(TreeNode *node, const TQValueList&lt; Article &gt; &amp;guids)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalArticlesUpdated</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a533377586d50077173757fef0bc78769</anchor>
      <arglist>(TreeNode *, const TQValueList&lt; Article &gt; &amp;guids)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalArticlesRemoved</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a7558b78d60bfdc4d9a199f0ea3bc6c42</anchor>
      <arglist>(TreeNode *, const TQValueList&lt; Article &gt; &amp;guids)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TreeNode</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a4d50d114c306c99fc6a7bd6e56b59780</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TreeNode</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>aa96b69266f5ce127fe39edbfb9c30c49</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>unread</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>ab7560da4f68b7b9a3ec9fb975090f58f</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>totalCount</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a16c7b02a24ac258217135262cf84734b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const TQString &amp;</type>
      <name>title</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>ab9b3aa6c3e95dba5ffd94e341a68e9bd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setTitle</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a1a3f09e34966a01162ffae9b9cc417da</anchor>
      <arglist>(const TQString &amp;title)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TreeNode *</type>
      <name>nextSibling</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a002a533373f2df0ec6f87f28de74a856</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TreeNode *</type>
      <name>prevSibling</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a28bfad8053250bdce017690c71493f7d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Folder *</type>
      <name>parent</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>acdcb1d784775f60c415b90207f258fb4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setParent</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>abef15920bc377216a5d2cf909c9f69b7</anchor>
      <arglist>(Folder *parent)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQValueList&lt; Article &gt;</type>
      <name>articles</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a8613a36a15d4fd03aa1dff2e44dc4efb</anchor>
      <arglist>(const TQString &amp;tag=TQString())=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>tags</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a6f4c42506dfd6c4c058a8b93f427a26a</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isGroup</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a0f07a1ca8accba641e632ac89c279fa0</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQDomElement</type>
      <name>toOPML</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>ae62dc4a33eda7b9cdba8580ef0e21f72</anchor>
      <arglist>(TQDomElement parent, TQDomDocument document) const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setNotificationMode</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a3a19ae67136daa08cdf3b077fef2a2b3</anchor>
      <arglist>(bool doNotify, bool notifyOccurredChanges=true)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TreeNode *</type>
      <name>next</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a20e34b993247ca1b4177c7970bf29e6f</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual uint</type>
      <name>id</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a0dd2503ac1910e3460109d1c707d6e0e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setId</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>aa9993448c688be0bc7b87dd8e5b122b7</anchor>
      <arglist>(uint id)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>nodeModified</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>ac08b470fea362396eb8986fe294f0950</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>articlesModified</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a62130ca69843af960e5acef37305a0dd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>doArticleNotification</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a579bead48c6af330521ffbf24cfc56c2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::TreeNodeItem</name>
    <filename>classAkregator_1_1TreeNodeItem.html</filename>
  </compound>
  <compound kind="class">
    <name>Akregator::View</name>
    <filename>classAkregator_1_1View.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotNodeSelected</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a5771f647c0fd90c828857da74f97841f</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotArticleSelected</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>adcb8e0575e52f966299ca82dbb3ac9c3</anchor>
      <arglist>(const Article &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFeedTreeContextMenu</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a50771eaeab157efeaf5fcbfd1d862790</anchor>
      <arglist>(TDEListView *, TreeNode *, const TQPoint &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetTotalUnread</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ac5fe5db32bff5ce54c2f44e4acc787ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotMouseButtonPressed</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a02d4e693866283dbd2c7f24cea696852</anchor>
      <arglist>(int button, const Article &amp;article, const TQPoint &amp;pos, int c)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpenArticleExternal</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a56573fa18da3768413c0671c432dafca</anchor>
      <arglist>(const Article &amp;article, const TQPoint &amp;, int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpenCurrentArticleExternal</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a35ca324744aa17a5d93addf2a9e4568c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpenCurrentArticleBackgroundTab</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a8b874b9677a9234e46ab57565b398bab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpenCurrentArticle</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a2d97c49a7eb4fc1a80d1b5f36ad956e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCopyLinkAddress</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a8cd6c15284c6dbf9367dba32ed79222d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpenNewTab</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aa5a99328351f0b1d1564d57808ddf711</anchor>
      <arglist>(const KURL &amp;url, bool background=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFrameChanged</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ab9fd8ba6990cd75b7537e758392c68ac</anchor>
      <arglist>(Frame *f)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCaptionChanged</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a9ca8955b13e48c4db61c7a4e89242a72</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFeedURLDropped</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a0aa903f500d4d01e41d1ee8ab8d12440</anchor>
      <arglist>(KURL::List &amp;urls, TreeNode *after, Folder *parent)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotMouseOverInfo</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a355b13d86ee9a7a735f4c4dda569b03a</anchor>
      <arglist>(const KFileItem *kifi)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotStatusText</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aca53023c4d7e1bca115fb9c2f0a63c7f</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFeedFetched</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>adf813d0f4e22a9b57dc118d7b64340b7</anchor>
      <arglist>(Feed *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFeedAdd</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a0f44b28e758854b61266a5ff94203196</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFeedAddGroup</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>af59c8cc5fc786f20667e15aadd466c17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFeedRemove</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aaae936ed3a74371b715693a3ab916e84</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFeedModify</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aceeb16397cb1b6a90e7551039a3625b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFetchCurrentFeed</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a249c67a8f9ccf69558a73f52e1ae09f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFetchAllFeeds</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ad9ecc39ee3204193d8d082b6fdbffa46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotMarkAllRead</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ab7c02dc7794f947294c4f7a193f43bf2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotMarkAllFeedsRead</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>af4e3d512d568bee3f2d76c758318e325</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpenHomepage</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ad3ef562b937096f5f0ac08f118e06d64</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotArticleToggleKeepFlag</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a7a365bb7cf00c459a7241b7b4eaf0091</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotArticleDelete</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a98698cc96d4f83996a096017e1d91558</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetSelectedArticleRead</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a217e6e7bb8cb8c4ec572b7f0f9a76dc2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetSelectedArticleUnread</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a708a18a25f40cb134ac2991df0ea3176</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetSelectedArticleNew</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a96122e757ac81f522f1daef4c4ba3ab8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetCurrentArticleReadDelayed</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a39d8c21551313de06b5bb41b486bfd29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotTextToSpeechRequest</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ada9f2ebeb3787d4e45e80fa550f6b79a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNormalView</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a9f4253a801a0c06e567b6f5b9b94ab8e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotWidescreenView</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ada047ed192ab73a7837f265f3987d9d6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCombinedView</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ac11073c7a4be7a84f489614df24d9dbe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotToggleShowQuickFilter</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>acbf8fcbd768cb14ebf906fac81f45bcb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPrevUnreadArticle</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a4ee861cf7ba6fef373da06cc662b0dfb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNextUnreadArticle</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>af6dc7cdaddc5ea21a47b305c70182143</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalUnreadCountChanged</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aa34ea7e09848d509005e80efe74b25b8</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>View</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a80d60aa7d1f8e10464876518372a72d4</anchor>
      <arglist>(Akregator::Part *part, TQWidget *parent, ActionManagerImpl *actionManager, const char *name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~View</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aae8d67a27612bcd066315995315a76e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a524fa260be510a1de14612f9b76d8f2c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>importFeeds</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a1f33532d6c845f74990af085dde53167</anchor>
      <arglist>(const TQDomDocument &amp;doc)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadFeeds</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ae0aed391ca62b71aa56ac40cf013b218</anchor>
      <arglist>(const TQDomDocument &amp;doc, Folder *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>TQDomDocument</type>
      <name>feedListToOPML</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a34162993b05ff9b137e7a5a7ebe1ed90</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addFeedToGroup</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ab7363196b8815b374a85a8c991c70a14</anchor>
      <arglist>(const TQString &amp;url, const TQString &amp;group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a4c02eda6140b7faff3e59c6d44e03bd3</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOpenURLReply</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ab6406b763f64f7230eba9c11c9c91fc7</anchor>
      <arglist>(const KURL &amp;url, Akregator::Viewer *currentViewer, Akregator::BrowserRun::OpeningMode mode)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUrlClickedInViewer</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a1fb6d84f9339585dcd275f55905ffa3e</anchor>
      <arglist>(const KURL &amp;url, Viewer *viewer, bool newTab, bool background)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Akregator::KBusyPtr</name>
    <filename>namespaceAkregator_1_1KBusyPtr.html</filename>
  </compound>
</tagfile>
